#ifndef _MACH64_STRINGS_INC_
#define _MACH64_STRINGS_INC_

struct DacString_s {
   unsigned char id;
   const char *string;
} DacString[]={
   {DAC_INTERNAL,	"Internal"},
   {DAC_ATI68860_B,	"ATI 68860 B"},
   {DAC_ATI68860_C,	"ATI 68860 C"},
   {DAC_ATI68875,	"ATI 68875"},
   {DAC_ATT20C408,	"ATT 20C408"},
   {DAC_ATT20C491,	"ATT 20C491"},
   {DAC_ATT498,		"ATT 498"},
   {DAC_ATT21C498,	"ATT 21C498"},
   {DAC_BT476,		"BT 476"},
   {DAC_BT481,		"BT 481"},
   {DAC_CH8398,		"CH 8398"},
   {DAC_IBMRGB514,	"IBM RGB514"},
   {DAC_IMSG174,	"IMSG 174"},
   {DAC_MU9C1880,	"MU 9C1880"},
   {DAC_SC15026,	"SC 15026"},
   {DAC_TVP3026_A,	"TVP 3026 A"},
   {DAC_TVP3026_B,	"TVP 3026 B"},
   {DAC_SC15021,	"SC 15021"},
   {DAC_STG1700,	"STG 1700"},
   {DAC_STG1702,	"STG 1702"},
   {DAC_STG1703,	"STG 1703"},
   {0,NULL}
};

struct ClockString_s {
   unsigned char id;
   const char *string;
} ClockString[]={
   {CLK_INTERNAL,	"Internal"},
   {CLK_ATI18818_0,	"ATI 18818 Rev 0"},
   {CLK_ATI18818_1,	"ATI 18818 Rev 1"},
   {CLK_ATT20C408,	"ATT 20C408"},
   {CLK_CH8398,		"CH 8398"},
   {CLK_STG1703,	"STG 1703"},
   {CLK_IBMRGB514,	"IBM RGB514"},
   {0,NULL}
};

struct PciDevice_s {
   unsigned short id;
   const char *string;
} PciDevice[]={
   {PCI_MACH64_GX,	"Mach64 GX (WinTurbo)"},
   {PCI_MACH64_CX,	"Mach64 CX"},
   {PCI_MACH64_CT,	"Mach64 CT"},
   {PCI_MACH64_ET,	"Mach64 ET"},
   {PCI_MACH64_VT,	"Mach64 VT"},
   {PCI_MACH64_GT,	"Mach64 GT"},
   {0,NULL}
};

#endif /* _MACH64_STRINGS_INC_ */

