#!/bin/bash
#
#	This script thakes three arguments:
#	$1	the path to the linux sources
#	$2	the path to the ggi sources
#	$3	the version of the patched kernel
#

PATCHDIR=`pwd`/$3

if [ -d $1/drivers/char.old ]; then
 	echo "reversing patches... in $1";
	cd $1
	patch -p1 -E -R < $PATCHDIR/mega.diff 2> mega.diff.patch.err
	rm -r drivers/char
	mv drivers/char.old drivers/char
	cd $1
	rm -f `find . -name *.orig`
	rm -f include/ggi
	rm -f $2/drivers/.kernelsrc
	exit 0;
fi

