/*
** Definitions special for the Mystique
*/
#ifndef _MGA1064_MAIN_H_
#define _MGA1064_MAIN_H_

struct myst_info {
	int blkmode;
};

/* textmemory layout of the Mystique framebuffer */

typedef struct mgatext {
	ushort ca;
	uint8 font1;
	uint8 pad3_9[7];
	uint8 font2;
	uint8 pad11_15[5];
} mgatext;

/* Mystique specific ioctls.  Hopefully don't collide */
#define	CHIP_MYST_GETINFO IOR(CHIP, 0x80, struct myst_info)

#ifdef __KERNEL__
struct chipset_private
{
	struct common_private cp;
	
	struct mem_region pseudo_dma;
	struct kgi_mmio_region dmawin_mmio;
	struct myst_info info;
};

#define virtwidth_NUM 13
extern const uint virtwidth[virtwidth_NUM];

#endif /* __KERNEL__ */

#endif /* _MGA1064_MAIN_H_ */
